argocd.cluster.create ​
Create creates a cluster
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-argocd |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Argocd API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
annotations | json | No | — | — |
clusterresources | boolean | No | — | Indicates if cluster level resources should be managed. This setting is used only if cluster is connected in a namespaced mode. |
config | json | No | — | ClusterConfig is the configuration attributes. This structure is subset of the go-client rest.Config with annotations added for marshalling. |
connectionstate | json | No | — | — |
info | json | No | — | — |
labels | json | No | — | — |
name | string | No | — | — |
namespaces | list | No | — | Holds list of namespaces which are accessible in that cluster. Cluster level resources will be ignored if namespace list is not empty. |
project | string | No | — | — |
refreshrequestedat | string | No | — | Time is a wrapper around time.Time which supports correct marshaling to YAML and JSON. Wrappers are provided for many of the factory methods that the time package offers. +protobuf.options.marshal=false +protobuf.as=Timestamp +protobuf.options.(gogoproto.goproto_stringer)=false |
server | string | No | — | — |
serverversion | string | No | — | — |
shard | integer | No | — | Shard contains optional shard number. Calculated on the fly by the application controller if not specified. |
upsert | boolean | No | — | — |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Argocd API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
annotations | json | No | — | — |
clusterresources | boolean | No | — | Indicates if cluster level resources should be managed. This setting is used only if cluster is connected in a namespaced mode. |
config | json | No | — | ClusterConfig is the configuration attributes. This structure is subset of the go-client rest.Config with annotations added for marshalling. |
connectionstate | json | No | — | — |
info | json | No | — | — |
labels | json | No | — | — |
name | string | No | — | — |
namespaces | list | No | — | Holds list of namespaces which are accessible in that cluster. Cluster level resources will be ignored if namespace list is not empty. |
project | string | No | — | — |
refreshrequestedat | string | No | — | Time is a wrapper around time.Time which supports correct marshaling to YAML and JSON. Wrappers are provided for many of the factory methods that the time package offers. +protobuf.options.marshal=false +protobuf.as=Timestamp +protobuf.options.(gogoproto.goproto_stringer)=false |
server | string | No | — | — |
serverversion | string | No | — | — |
shard | integer | No | — | Shard contains optional shard number. Calculated on the fly by the application controller if not specified. |
upsert | boolean | No | — | — |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call POST /api/v1/clusters |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform POST /api/v1/clusters |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "argocd.cluster.create",
"initial_data": {
"base_url": "value"
}
}